# Uses of Class
org.apache.solr.client.solrj.request.GenericSolrRequest

Packages that use GenericSolrRequest
Package
Description
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.

## Uses of GenericSolrRequest in org.apache.solr.client.solrj.request

Subclasses of GenericSolrRequest in org.apache.solr.client.solrj.request
Modifier and Type
Class
Description
`class`
`GenericV2SolrRequest`
A `GenericSolrRequest` implementation intended for v2 APIs
Methods in org.apache.solr.client.solrj.request that return GenericSolrRequest
Modifier and Type
Method
Description
`GenericSolrRequest`
GenericSolrRequest.`setContentWriter(RequestWriter.ContentWriter contentWriter)`
`GenericSolrRequest`
GenericSolrRequest.`setRequiresCollection(boolean requiresCollection)`
Determines whether the SolrRequest should use a default collection or core from the client
`GenericSolrRequest`
GenericSolrRequest.`withContent(byte[] buf, String type)`